Updates the job_priority object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "814545b4-af84-49a1-b06c-2161c275a835",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "87b7711d-ee56-4620-a916-6d2a30809181",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "25471e53-130f-4f3f-ad65-1bd672aa0de7",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "73e9f3b7-a9d9-41ce-ba03-62a273213bda",
    "db_currency_id": "d7b00696-0c56-4bf3-b6f2-c937051e2b7c",
    "db_language_id": "a33d4516-f821-4316-ad4b-184b9c62b097",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-02T19:53:43.5200684+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-11-02T19:53:43.5200684+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.